org.kie.internal.task.query

## Enum AuditTaskQueryBuilder.OrderBy

- java.lang.Object
- - java.lang.Enum<AuditTaskQueryBuilder.OrderBy>
  - - org.kie.internal.task.query.AuditTaskQueryBuilder.OrderBy

- All Implemented Interfaces:
    Serializable, Comparable<AuditTaskQueryBuilder.OrderBy>
  Enclosing interface:
    AuditTaskQueryBuilder

      public static enum AuditTaskQueryBuilder.OrderBy
      extends Enum<AuditTaskQueryBuilder.OrderBy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `activationTime`
    `createdOn`
    `processId`
    `processInstanceId`
    `taskId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuditTaskQueryBuilder.OrderBy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuditTaskQueryBuilder.OrderBy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### taskId

          public static final AuditTaskQueryBuilder.OrderBy taskId

    - #### createdOn

          public static final AuditTaskQueryBuilder.OrderBy createdOn

    - #### activationTime

          public static final AuditTaskQueryBuilder.OrderBy activationTime

    - #### processId

          public static final AuditTaskQueryBuilder.OrderBy processId

    - #### processInstanceId

          public static final AuditTaskQueryBuilder.OrderBy processInstanceId

  - ### Method Detail

    - #### values

          public static AuditTaskQueryBuilder.OrderBy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuditTaskQueryBuilder.OrderBy c : AuditTaskQueryBuilder.OrderBy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuditTaskQueryBuilder.OrderBy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.